Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Public Attributes | Protected Member Functions | Friends
tlp::StringAlgorithm Class Reference
Plugins

Interface for String plug-ins. More...

`#include <StringAlgorithm.h>`

Inheritance diagram for tlp::StringAlgorithm:
[legend]
Collaboration diagram for tlp::StringAlgorithm:
[legend]

List of all members.

## Public Member Functions

- virtual ~StringAlgorithm ()

## Public Attributes

- StringProperty * stringResult

## Protected Member Functions

- StringAlgorithm (const AlgorithmContext &context)

## Friends

- class StringProperty

## Detailed Description

Interface for String plug-ins.

## Constructor & Destructor Documentation

virtual tlp::StringAlgorithm::~StringAlgorithm | ( |  | ) | `[inline, virtual]`

tlp::StringAlgorithm::StringAlgorithm | ( | const AlgorithmContext & | context | ) | `[protected]`

## Friends And Related Function Documentation

friend class StringProperty`[friend]`

## Member Data Documentation

StringProperty* tlp::StringAlgorithm::stringResult

This string is the one associated to the algorithm, The data should be store in it

Tulip Software by LaBRI Visualization Team 2001 - 2012